Commit 6cfa7cc4 authored by Dave Martin's avatar Dave Martin Committed by Will Deacon

arm64: Make ARMV8_DEPRECATED depend on SYSCTL

If CONFIG_SYSCTL=n and CONFIG_ARMV8_DEPRECATED=y, the deprecated
instruction emulation code currently leaks some memory at boot
time, and won't have any runtime control interface.  This does
not feel like useful or intended behaviour...

This patch adds a dependency on CONFIG_SYSCTL, so that such a
kernel can't be built in the first place.

It's probably not worth adding the error-handling / cleanup code
that would be needed to deal with this otherwise: people who
desperately need the emulation can still enable SYSCTL.
Acked-by: default avatarArnd Bergmann <arnd@arndb.de>
Signed-off-by: default avatarDave Martin <Dave.Martin@arm.com>
Signed-off-by: default avatarWill Deacon <will.deacon@arm.com>
parent 9bfe7553
...@@ -807,6 +807,7 @@ config FORCE_MAX_ZONEORDER ...@@ -807,6 +807,7 @@ config FORCE_MAX_ZONEORDER
menuconfig ARMV8_DEPRECATED menuconfig ARMV8_DEPRECATED
bool "Emulate deprecated/obsolete ARMv8 instructions" bool "Emulate deprecated/obsolete ARMv8 instructions"
depends on COMPAT depends on COMPAT
depends on SYSCTL
help help
Legacy software support may require certain instructions Legacy software support may require certain instructions
that have been deprecated or obsoleted in the architecture. that have been deprecated or obsoleted in the architecture.
......
Markdown is supported
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment